@ECHO OFF
REM ------------------------
REM    (c) Copyright IBM Corp. 2009, 2013 All rights reserved.
REM    InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows
REM 1. Go to DB2 CLP and connect to the database you'd like to deploy the license to. 
REM 2. Change directory to the parent directory of this file, then run it. 
REM -------------------------------------

IF EXIST qwt_license.db2 GOTO WORKLOAD_LICENSE

REM ------------------------------
REM Try if the trial license file exist
REM ------------------------------

IF EXIST trial\qwt_license.db2 GOTO TRIAL_LICENSE

REM ------------------------------
REM No UDF file is found. 
REM ------------------------------
ECHO The license is not activated on this client. 
ECHO Make sure you have run IBM InfoSphere Optim Query Workload Tuner for DB2 for Linux, Unix, and Windows Activation Kit 4.1.0.1
GOTO END

REM -------------------------------
REM Enable Workload Tuning License
REM -------------------------------
:WORKLOAD_LICENSE
ECHO Enabling license for IBM InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows...
db2 -tvf qwt_license.db2 > qwt_license.out
ECHO Check the output file qwt_license.out for the result. 
GOTO END

:TRIAL_LICENSE
ECHO Enabling the trial license for IBM InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows...
db2 -tvf trial\qwt_license.db2 > qwt_license.out
ECHO Check the output file qwt_license.out for the result. 

:END
