-- ---------------------------------------------------------------------
--    (c) Copyright IBM Corp. 2010, 2013 All rights reserved.
--    InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows
-- You can run this DDL file to drop the objects that OQWT created, and optionally the EXPLAIN tables. 

-- DROP EXPLAIN tables. Uncomment the line below and replace %qualifier with your choice
-- CALL SYSPROC.SYSINSTALLOBJECTS('EXPLAIN', 'D', NULL, '%qualifier');

-- Drop WCC tables
DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD_NAME;

DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD;

DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD_SOURCE;

DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD_SOURCE_FILTER;

DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD_TASK;

DROP TABLE SYSTOOLS.QT_WCC_EVENT_HISTORY;

DROP TABLE SYSTOOLS.QT_WCC_ERROR_MESSAGE;

DROP TABLE SYSTOOLS.QT_WCC_STMT_TEXT;

DROP TABLE SYSTOOLS.QT_WCC_STMT_INSTANCE;

DROP TABLE SYSTOOLS.QT_WCC_STMT_EXPLAIN_INFO;

DROP TABLE SYSTOOLS.QT_WCC_WORKLOAD_ADVISOR_INFO;

DROP TABLE SYSTOOLS.QT_WCC_STMT_RUNTIME_METRICS;

DROP TABLE SYSTOOLS.QT_WCC_TEMP_CAPTURE;

DROP TABLE SYSTOOLS.QT_WCC_TEMP_EXPLAIN_HANDLE;

DROP TABLE SYSTOOLS.QT_WCC_STMT_DEPENDENT_OBJECT;

DROP SEQUENCE SYSTOOLS.QT_WCC_TUNING_BATCH_ID;

DROP TABLE SYSTOOLS.QT_WAPC_SESSIONS;

DROP TABLE SYSTOOLS.QT_WAPC_SESSIONS_RESULT;

DROP TABLE SYSTOOLS.QT_WAPC_SESSION_EXCEPTIONS;

-- DROP potential OQT.WCC_EXPLAIN_SP stored procedure
DROP PROCEDURE OQT.WCC_EXPLAIN_SP;

-- DROP jar file for WCC_EXPLAIN_SP
CALL SQLJ.REMOVE_JAR('OQT.WCC_EXPLAIN_SP');

-- DROP potential OQT.CALLDB2ADVIS;
DROP PROCEDURE OQT.CALLDB2ADVIS;

-- DROP jar file for CALLDB2ADVIS
CALL SQLJ.REMOVE_JAR('OQT.CALLDB2ADVIS');

-- DROP OPT_PROFILE 
DROP TABLE SYSTOOLS.OPT_PROFILE;
