#!/bin/bash

#*************************************************************************
###COPYRIGHT###
#
#  Licensed Materials - Property of IBM
#
#  (c) Copyright IBM Corp. 2014 All Rights Reserved.
#
###END###
#
#IBM Data Studio Tuning Service Deploy Script for Linux
#(Use this script to generate the IBM Data Studio Tuning Service build
# that can be deployed in zLinux)
#*************************************************************************

org_dir=$PWD
installoc=""

GetPath() {
  read -p "Please input the path where the build will be generated or type A to abort:" installoc

  if [ $installoc = "A" ]
  then
    echo "Program aborted."
    exit
  fi
}

GetPath
cd ../../../
product_dir=$PWD

cd $product_dir/jdk/bin
echo "Try to elevate by sudo..."
sudo -S ./java -jar "$org_dir/app/deploy.jar" "$product_dir" "$installoc"
