#------------------------
#    (c) Copyright IBM Corp. 2009, 2013 All rights reserved.
#    InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows
#    1. Replace &database, &user, and &password with your own corresponding values. 
#-------------------------------------
db2 connect to &database user &user using &password

if [ -f ./qwt_license.db2 ]; then
    #deploying workload tuning license
    echo "Enabling license for IBM InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows..."
    db2 -tvf ./qwt_license.db2 > qwt_license.out
    echo "Check the output file qwt_license.out for the result."
else
	if [ -f ./trial/qwt_license.db2 ]; then
		echo "Enabling the trial license for IBM InfoSphere Optim Query Workload Tuner Version 4.1.0.1 for DB2 for Linux, UNIX, and Windows..."
		db2 -tvf ./trial/qwt_license.db2 > qwt_license.out
		echo "Check the output file qwt_license.out for the result. "
    else    	
    	echo "The license is not activated on this client. "
		echo "Make sure you have run IBM InfoSphere Optim Query Workload Tuner for DB2 for Linux, Unix, and Windows Activation Kit 4.1.0.1"
	fi
fi


