@REM *************************************************************************
@REM  ###COPYRIGHT###
@REM
@REM  Licensed Materials - Property of IBM
@REM
@REM  (c) Copyright IBM Corp. 2014 All Rights Reserved.
@REM
@REM  ###END###
@REM
@REM  IBM Data Studio Tuning Service Deploy Script for Windows
@REM  (Use this script to generate the IBM Data Studio Tuning Service build
@REM   that can be deployed in zLinux)

@echo off

cd /d %~dp0
set org_dir=%CD%
:GetPath
    set installoc=""
    echo.Please input the path where the build will be generated or type A to abort:
    set /p installoc=
    pushd %installoc% 2>nul
    popd
    goto pre_checking

:pre_checking
set installoc=%installoc:"=%
if "%installoc%"=="" goto :GetPath
if /I "%installoc%"=="A" echo.Program aborted. && goto quit

cd ..\..\..\
set product_dir=%CD%

cd /d "%product_dir%\jdk\bin"
java -jar "%org_dir%\app\deploy.jar" "%product_dir%" "%installoc%"
:quit
pause